#include <iostream>

using namespace std;

void swap(long long int* a, long long int* b)
{
    long long int t = *a;
    *a = *b;
    *b = t;
}

long long int partition (long long int a[], long long int l, long long int h)
{
    long long int pivot = a[h];
    long long int i = (l - 1);

    for (long long int j = l; j <= h- 1; j++)
    {
        if (a[j] <= pivot)
        {
            i++;
            swap(&a[i], &a[j]);
        }
    }
    swap(&a[i + 1], &a[h]);
    return (i + 1);
}

void quickSort(long long int a[], long long int l, long long int h)
{
    if (l < h)
    {
        long long int pi = partition(a, l, h);
        quickSort(a, l, pi - 1);
        quickSort(a, pi + 1, h);
    }
}

int main()
{
    long long int n,s=0;
    cin >> n;
    long long int a[n+1],b[n+1],c[n+1];
    for(long long int i=1; i<n+1; i++)
    {
        cin >> a[i]>>b[i];
        c[i]=i;
    }
    quickSort(a,1,n);
    quickSort(b,1,n);
    for(long long int i=1; i<n+1; i++)
    {
        s+=abs(a[i]-c[i])+abs(b[i]-c[i]);
    }
    cout << s;
    return 0;
}